Main Content

Magnolia Community Forums: Announcements: Mandatory Magnolia update with latest Java version - Activation issue


  • czimmermann
    czimmermann
    Full name: Christopher Zimmermann
    Posts: 64
    Last post: Mar 25, 2017 9:52:44 AM
    Mandatory Magnolia update with latest Java version - Activation issue
    #1 by czimmermann on Nov 26, 2015 4:47:43 PM

    Recent Java updates 1.7.0_85 and 1.8.0_85 fixed a vulnerability in HTTP request headers. Java now performs strict checking of characters sent in the HTTP header. The semicolon character ":" which Magnolia uses in publishing is no longer allowed. We have adapted Magnolia code to accommodate the change. The fix ships with Magnolia 5.4.3 and Magnolia 5.3.12. (5.3.12 is now out - announcement coming soon!)

    If you cannot publish content or a client reports this issue to you, please check if automatic Java updates are enabled on the system. It is possible that the system got updated to the latest Java version automatically before your Magnolia installation was ready.

    You can either roll back the Java update or update to Magnolia 5.4.3 or 5.3.12 now. We advise all clients who plan to update to the latest Java maintenance release to first update their Magnolia installations.

    More details:
    https://documentation.magnolia-cms.com/display/DOCS/Release+notes+for+Magnolia+5.4.3#ReleasenotesforMagnolia5.4.3-PublicationwithJavaupdates1.7.0_85and1.8.0_65

  • breun
    breun
    Full name: Nils Breunese
    Posts: 418
    Last post: Mar 6, 2017 10:16:19 AM
    Registered on: Sep 16, 2010
    [announce] Mandatory Magnolia update with latest Java version - Activation issue
    #2 by breun on Nov 26, 2015 5:33:13 PM

    Christopher Zimmermann wrote:

    > Recent Java updates 1.7.0_85 and 1.8.0_85 fixed a vulnerability in HTTP request headers.

    Typo alert: that's 1.8.0_65, not 1.8.0_85.

    Nils.

  • czimmermann
    czimmermann
    Full name: Christopher Zimmermann
    Posts: 64
    Last post: Mar 25, 2017 9:52:44 AM
    Re: Mandatory Magnolia update with latest Java version - Activation issue
    #3 by czimmermann on Nov 30, 2015 9:53:20 AM

    Sorry there was a typo:
    That's java update 1.8.0_65, not 1.8.0_85.
    (Thanks Nils!)

You don't have the permission to post on this thread

Sign in

To login on this forum, you can use your Magnolia Forge, Support or Partner account, or, below, your Google, Yahoo! or OpenID account. If you have trouble logging in, or any other sort of issue, please let us know in the Meta forum, on the user-list, or simply by email at forum-admin at magnolia-cms dot com.

* Required

... or sign in with:

  • icon http://{your-openid-url}
  • icon
  • icon https://me.yahoo.com/